## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           yle-dl
Version:        20220830
Release:        %autorelease
Summary:        Download videos from Yle servers

License:        GPL-3.0-or-later
URL:            https://aajanki.github.io/yle-dl/index-en.html
Source:         https://github.com/aajanki/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
Requires:       /usr/bin/ffmpeg
# According to README, needed "optionally for few rare streams".
Recommends:     wget

%description
Command-line program for downloading media files from the video streaming
services of the Finnish national broadcasting company Yle: Yle Areena,
Elävä arkisto, and Yle news. The videos are saved in Matroska (.mkv) or MP4
format.

%prep
%autosetup -p1 -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files yledl


%check
%pytest --ignore=tests/integration


%files -f %{pyproject_files}
%doc README.*
%license COPYING
%{_bindir}/yle-dl


%changelog
* Wed Aug 31 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> 20220830-1
- Update to version 20220830

* Sat Aug 20 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> 20220704-5
- Correct license to GPL-3.0-or-later

* Thu Aug 11 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> 20220704-4
- Revert "TEMP DEBUG: rpmautospec"

* Thu Aug 11 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> 20220704-3
- TEMP DEBUG: rpmautospec

* Tue Aug 09 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220704-3
- Recommend wget by package name, instead of binary's path

* Thu Aug 04 2022 Otto Liljalaakso <otto.liljalaakso@iki.fi> - 20220704-2
- Improve description

* Wed Aug 03 2022 Otto Liljalaakso <oturpe@iki.fi> - 20220704-1
- Initial version

